// 数据交互
var data = {
	allList: function()
	{
	    // 全部 
	    page = 1;
	    $.get("/user/QbaoRecordPart", { "page": page, "status": -1 }, function (data) {
	        $(".qb_list_all").empty();
	        if (data == "" && page == 1) {
	            $(".loading_list").text("暂无数据");
	        } else {
	            $(".qb_list_all").append(data);
	            page++;
	        }
	        
	    });
	},

	ongoing: function()
	{
	    // 进行中
	    page = 1;
        status=1
        $.get("/user/QbaoRecordPart", { "page": page, "status": 1 }, function (data) {
            $(".qb_list_all").empty();
            if (data == "" && page == 1) {
                $(".loading_list").text("暂无数据");
            } else {
                $(".qb_list_all").append(data);
                page++;
            }
	    });
	},

	alreadyAnn: function () {
	    //已揭晓
	    page = 1;
	    status = 3;
	    $.get("/user/QbaoRecordPart", { "page": page, "status": 3 }, function (data) {
	        $(".qb_list_all").empty();
	        if (data == "" && page == 1) {
	            $(".loading_list").text("暂无数据");
	        } else {
	            $(".qb_list_all").append(data);
	            page++;
	        }
	    });
	}
},

// ui交互
annList = {
	init: function()
	{
		// 初始化菜单，显示全部
		data.allList();
		// 菜单栏
		this.menuList();
		// 菜单栏吸顶
		this.menuBarScroll();
	},

	// 菜单栏
	menuList: function()
	{
		common.isMove($('.select_list ul li'),function(_this){
			$('.select_list .slide_bar').css({
				'-webkit-transform': 'translate3d('+$(_this).index() * $(_this).offset().width+'px,0,0)',
				'transform': 'translate3d('+$(_this).index() * $(_this).offset().width+'px,0,0)'
			});
		    $(_this).addClass('on').siblings().removeClass('on');
			switch($(_this).text())
			{
				case '全部': 
					data.allList();
				break;
				case '进行中':
					data.ongoing();
				break;
				case '已揭晓':
					data.alreadyAnn();
				break;
			}
			
		});
	},

	// 菜单栏吸顶
	menuBarScroll: function()
	{
		var menuTop = $('.select_list_box').offset().top;
		
		// 判断是否吸顶
		function isTop()
		{
			if($(window).scrollTop() >= menuTop - $('.nav_bar').offset().height)
			 {
			 	$('.select_list_box').addClass('fixed');
			 }
			 else
			 {
			 	$('.select_list_box').removeClass('fixed');
			 }
		}

		// 重新计算
		function setOpa(){
			// setTimeout(function(){
				isTop();
			// },30);
		}

		// $(document).on('touchmove',function(){
		// 	isTop();
		// });

		$(window).on('scroll',function(){
			setOpa();
		});
	},
};

annList.init();